/**
 * $Id: InterruptSource.java,v 1.1.1.1 2004/08/22 06:46:25 mviara Exp $
 * $Name:  $
 *
 * $Log: InterruptSource.java,v $
 * Revision 1.1.1.1  2004/08/22 06:46:25  mviara
 * 8051 emulator
 *
 */
package j51.intel;

/**
 *
 * Interface for implements one interrupt source, this interface is
 * used when a SFR coinvolted is written.
 * 
 */
public interface InterruptSource
{
	/**
	 * Return true if the interrupt condition is true
	 */
	public boolean	interruptCondition();

	/**
	 * Return the address of the interrupt service.
	 */
	public int		getInterruptVector();

	/**
	 * Called before to execute the interrupt service.
	 */
	public void		interruptStart();

	/**
	 * Called after the interrupt service is terminated.
	 */
	public void		interruptStop();
}
