/**
 * $Id: PersistentBuffer.java,v 1.2 2005/10/28 15:32:14 mviara Exp $
 * $Name:  $
 *
 * Class to implements persistend dato like eeprom or flash in u.
 *
 * $Log: PersistentBuffer.java,v $
 * Revision 1.2  2005/10/28 15:32:14  mviara
 * Added header.
 *
 */
package j51.intel;

import java.io.*;

public class PersistentBuffer 
{
	private byte buffer[];
	private String filename;

	public PersistentBuffer(String name,String suffix,int size)
	{
		buffer = new byte[size];
		filename = name+"."+size+"."+suffix;

		for (int i = 0 ; i < size ; i++)
			buffer[i] = (byte)0xff;

		try
		{
			FileInputStream is = new FileInputStream(new File(filename));
			is.read(buffer);
			is.close();
			System.out.println(filename+" loaded");
		}
		catch (Exception ex)
		{
		}
		save();
	}


	public int getSize()
	{
		return buffer.length;
	}

	public int get(int addr)
	{
		return buffer[addr] & 0xff;
	}

	public void set(int addr,int value)
	{
		byte b = (byte)(value & 0xff);

		if (buffer[addr] != b)
		{
			buffer[addr] = b;
			save();
		}
	}

	private void save()
	{
		try
		{
			FileOutputStream os = new FileOutputStream(new File(filename));
			os.write(buffer);
			os.close();
		}
		catch (Exception ex)
		{
			System.out.println(ex);
		}
	}

}
