/**
 * $Id: JLed.java,v 1.2 2004/08/23 05:50:11 mviara Exp $
 * $Name:  $
 *
 * $Log
 *
 */
package j51.swing;

import java.awt.*;
import javax.swing.*;

/**
 *
 * Simple class to implement a software led.
 * This implementation use a JTextField filled with space and change
 * the background color when the led is on or off.
 *
 */
public class JLed extends JPanel
{

	private JTextField led = new JTextField(6);
	private boolean mode = true;
	private Color color;

	public JLed(String label,Color color)
	{
		JFactory.setTitle(this,label);
		add(led);
		set(false);
		led.setEditable(false);
		this.color = color;
	}

	public JLed(String label)
	{
		this(label,Color.red);
	}

	public void set(boolean mode)
	{
		if (mode != this.mode)
		{
			this.mode = mode;
			led.setBackground(mode ? color : color.black);
		}
	}

	public boolean get()
	{
		return mode;
	}

	public void on()
	{
		set(false);
	}

	public void off()
	{
		set(true);
	}

}
